The Individual Notes service will return a list of all notes the specified individual has had written about them. If an individual is not specified, then the notes for all individuals in the system will be returned. By default, this service does not return private notes.
Service Name
individual_notes
Required Parameters
None
Optional Parameters
| Name | Type | Description |
|---|---|---|
| individual_id | integer | |
| include_private_notes | integer | '0' is Private Note; '1' is Context Leaders Only; '2' is All Leaders |
| start_date | datetime | Beginning of range when notes were created |
| end_date | datetime | End of range when notes were created |
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=individual_notes&individual_id=48"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
<request>
<parameters>
<argument value="individual_notes" name="srv"/>
<argument value="48" name="individual_id"/>
</parameters>
</request>
<response>
<service>individual_notes</service>
<service_action>execute</service_action>
<availability>public</availability>
<individuals count="1">
<individual id="48">
<name>Larry Bob</name>
<campus id="1">Church of Cucumbers</campus>
<notes/>
</individual>
</individuals>
</response>
</ccb_api>